## dgit 13.11

=== debian/changelog ===
dgit (13.11) unstable; urgency=medium

  * No change upload, targeting mainline to unstable.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Aug 2025 20:18:45 +0100

dgit (13.11+exp1) experimental; urgency=medium

  git-debpush UX improvements:
  * Always print a message before fetching from salsa.
    Closes: #1110402.  [Sean Whitton]
  * Detect debian/source/local-options, as a failed check.
    This avoids later failures.  Closes: #1110339.  [Sean Whitton]
  * Detect redundant --quilt mode option, as a failed check.
    Helps useers avoid dangerous habits.  Closes: #1108378.  [Sean Whitton]
  * Detect possible intent to use pristine-tar even if pristine-tar
    is not installed.  [Andrea Pappacoda]

  tag2upload service:
  * If origs cannot be obtained from the archive (eg due to mirror delays),
    try to regenerate them.  Closes: #1109130.  (Deployment TBC.)

  Documentation:
  * Workflow manpages: Replace bookworm with trixie.  [Sean Whitton]
  * Workflow manpages: Suggest sbuild -d, not sbuild -c.  [Sean Whitton]
  * tag2upload(5): Specify ! for service-critical extensions.

  Minor bugfixes:
  * git-debpush: Avoid ignoring a failure of git-cat-file.  [Sean Whitton]
  * Add missing newline to overridden --force fail message.

  dgit download-unfetched-origs subcommand (changes to support tag2upload):
  * Look in the source tree's current suite, specifically.
  * New --write-sha256sums subcommand option.
  * Don't download files already present in the build-products-dir.
  * Save downloaded files to .tmp names until file checksums verified.
  * Report unobtainable origs with special exit status 3.

  Supporting and internal changes:
  * Cleanups and defensiveness in tag2upload-oracled.  [Sean Whitton]
  * Code cleanups, and refactoring, in git-debpush.  [Sean Whitton]
  * Much logic moved from tag2upload-obtain-origs into dgit.

  Tests:
  * Refactoring and additions for testing the new functionality.
  * restore checking of error messages in tag2upload emails.
  * t2u-integration: Include the event_name field in webhook.
    (Compatibility with tag2upload-service-manager changes.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Aug 2025 19:58:53 +0100

=== debian/tests/control ===
Tests: baredebian-multitar baredebian-plusgit baredebian-push baredebian-tarball
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, quilt, git-debrebase, git-buildpackage, libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl

Tests: build-modes-gbp
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-buildpackage

Tests: clone-reprepro downstream-gitless
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, reprepro

Tests: dpkgsourceignores-docs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl
Restrictions: x-dgit-intree-only

Tests: defdistro-dsd-clone-drs dsd-clone-drs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl
Restrictions: x-dgit-intree-only x-dgit-git-only

Tests: alternating-dgit clone-gitnosuite clone-nogit clone-skew drs-clone-nogit dsd-clone-nogit ftpmasterapi-http
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, libhttp-server-simple-static-perl

Tests: gdr-import-dgit
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage, libhttp-server-simple-static-perl

Tests: gdr-merge-conflicts
Tests-Directory: tests/tests
Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, quilt

Tests: cmd-override gdr-diverge-nmu gdr-diverge-nmu-dgit gdr-edits gdr-fresh gdr-import-dgitview gdr-import-nostitch gdr-makepatches7 gdr-merge gdr-subcommands gdr-unprocessable gdr-unprocessable-hints
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage

Tests: gdr-newupstream gdr-viagit
Tests-Directory: tests/tests
Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage

Tests: gitattributes
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, bsdgames, man-db, git-man

Tests: hint-testsuite-triggers
Tests-Directory: tests/tests
Depends: gnupg, patch, diffutils
Restrictions: hint-testsuite-triggers

Tests: i18n-messages
Tests-Directory: tests/tests

## dgit 13.12

=== Makefile ===
# dgit
# Integration between git and Debian-style archives
#
# Copyright (C)2013-2018 Ian Jackson
# Copyright (C)2019,2024 Sean Whitton
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

INSTALL=install
INSTALL_DIR=$(INSTALL) -d
INSTALL_PROGRAM=$(INSTALL) -m 755
INSTALL_DATA=$(INSTALL) -m 644

POD2MAN = pod2man --release="Debian Project" --date="dgit+tag2upload team"

prefix?=/usr/local

bindir=$(prefix)/bin
mandir=$(prefix)/share/man
perldir=$(prefix)/share/perl5
man1dir=$(mandir)/man1
man5dir=$(mandir)/man5
man7dir=$(mandir)/man7
infraexamplesdir=$(prefix)/share/doc/dgit-infrastructure/examples
infradebiandir=$(prefix)/share/dgit-infrastructure/debian
txtdocdir=$(prefix)/share/doc/dgit
absurddir=$(prefix)/share/dgit/absurd

PROGRAMS=dgit git-playtree-setup mini-git-tag-fsck tag2upload-obtain-origs
MAN1PAGES=dgit.1

MAN7PAGES=dgit.7				\
	dgit-user.7 dgit-nmu-simple.7		\
	dgit-maint-native.7			\
	dgit-maint-merge.7 dgit-maint-gbp.7	\
	dgit-maint-debrebase.7                  \
	dgit-downstream-dsc.7			\
	dgit-sponsorship.7			\
	dgit-maint-bpo.7

TXTDOCS=README.dsc-import
PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/Core.pm \
	Debian/Dgit/ExitStatus.pm \
	Debian/Dgit/I18n.pm \
	Debian/Dgit/ProtoConn.pm
ABSURDITIES=git

GDR_PROGRAMS=git-debrebase
GDR_PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/Core.pm \
	Debian/Dgit/GDR.pm \
	Debian/Dgit/ExitStatus.pm \
	Debian/Dgit/I18n.pm
GDR_MAN1PAGES=git-debrebase.1
GDR_MAN5PAGES=git-debrebase.5

GDP_PROGRAMS=git-debpush git-deborig
GDP_PERLMODULES= \
	Debian/Dgit/Core.pm \
	Debian/Dgit/GDP.pm
GDP_MAN1PAGES=git-debpush.1 git-deborig.1
GDP_MAN5PAGES=tag2upload.5

INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch dgit-mirror-ssh-wrap \
	dgit-repos-policy-debian dgit-repos-admin-debian \
	dgit-repos-policy-trusting dgit-mirror-rsync \
	tag2upload-oracled
INFRA_EXAMPLES=get-dm-txt ssh-wrap drs-cron-wrap get-suites
INFRA_DEBIAN=get-dm-txt tag2upload-builder-rebuild \
	tag2upload-oracle-crontab tag2upload-builder-crontab
INFRA_PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/Core.pm \
	Debian/Dgit/Infra.pm \
	Debian/Dgit/Policy/Debian.pm \
	Debian/Dgit/ProtoConn.pm

MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES) \
	$(GDP_MAN1PAGES) $(GDP_MAN5PAGES)

all:	$(MANPAGES) $(addprefix substituted/,$(PROGRAMS))

substituted/%:	%
	mkdir -p substituted
	perl -pe 's{\bundef\b}{'\''$(absurddir)'\''} if m/###substituted###/' \
		<$< >$@

install:	installdirs all
	$(INSTALL_PROGRAM) $(addprefix substituted/,$(PROGRAMS)) \
		$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(addprefix absurd/,$(ABSURDITIES)) \
		$(DESTDIR)$(absurddir)
	$(INSTALL_DATA) $(MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(MAN7PAGES) $(DESTDIR)$(man7dir)
	$(INSTALL_DATA) $(TXTDOCS) $(DESTDIR)$(txtdocdir)
	set -e; for m in $(PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

installdirs:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(DESTDIR)$(man7dir) \
		$(DESTDIR)$(txtdocdir) $(DESTDIR)$(absurddir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(PERLMODULES)))

install-gdp:    installdirs-gdp
	$(INSTALL_PROGRAM) $(GDP_PROGRAMS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(GDP_MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(GDP_MAN5PAGES) $(DESTDIR)$(man5dir)
	set -e; for m in $(GDP_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

install-gdr:	installdirs-gdr
	$(INSTALL_PROGRAM) $(GDR_PROGRAMS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(GDR_MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(GDR_MAN5PAGES) $(DESTDIR)$(man5dir)
	set -e; for m in $(GDR_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

install-infra:	installdirs-infra
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_PROGRAMS)) \
		$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_EXAMPLES)) \
		$(DESTDIR)$(infraexamplesdir)
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_DEBIAN)) \
		$(DESTDIR)$(infradebiandir)
	set -e; for m in $(INFRA_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

installdirs-gdp:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(GDR_PERLMODULES)))

installdirs-gdr:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(GDR_PERLMODULES)))

installdirs-infra:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(infraexamplesdir) $(DESTDIR)$(infradebiandir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(INFRA_PERLMODULES)))

list-manpages:
	@echo $(MANPAGES)

i18n i18n-update:
	$(MAKE) -C po update
	$(MAKE) -C po4a update

# When tests/tests/i18n-po4a-uptodate fails, this target will usually fix it.
i18n-commit:
	set -e; x=$$(git status --porcelain); set -x; test "x$$x" = x
	$(MAKE) i18n-update
	git add po4a/*_[0-9].pot
	git clean -xdff po4a/\*.po
	git commit -a -m 'i18n-commit - autogenerated'

check installcheck:

clean distclean mostlyclean maintainer-clean:
	rm -rf tests/tmp substituted
	set -e; for m in $(MANPAGES); do \
		test -e $$m.pod && rm -f $$m; \
	done

dgit%: dgit%.pod
	m="$(notdir $@)"; $(POD2MAN)				\
		--center=dgit					\
		--name="$${m%.[0-9]}"				\
		--section="$${m##*.}"				\
		$^ $@

%: %.pod
	m="$(notdir $@)"; $(POD2MAN)				\
		--center="$${m%.[0-9]}"				\
		--name="$${m%.[0-9]}"				\
		--section="$${m##*.}"				\
		$^ $@

%.view:	%
	man -l $*

=== debian/changelog ===
dgit (13.12) unstable; urgency=medium

  dgit changes [Ian Jackson]:
  * build-source now checks for git vs dsc discrepancies.
    Other build subcommands are unchanged.  Closes: #1110907.
    - New dgit-distro.DISTRO.build-source-check-correspondence option.
      You can use this to restore build-source's old behaviour of
      deferring discrepency checking to the push phase.
  * Report git vs dsc discrepancies with exit status 6.

  git-debpush fixes:
  * Hide output from git-tag(1) run in the playtree.
  * Move checks depending on quilt mode autodetection later.
    Closes: #1111109.
  * Pass --no-pager when failing a check with a git diff.
    [Ian Jackson]

  New program:
  * git-deborig, moved from 'devscripts' package.  See #1105759.
  * Declare that bin:git-debpush replaces bin:devscripts <<2.25.18.

  tag2upload service:
  * tag2upload-builder-crontab: Move the job from 03:00 to 03:55.
  * tag2upload-builder-rebuild: Revert to installing from testing.
  * tag2upload-builder-rebuild: Rebuild only once (!).
    [Ian Jackson]

  Documentation:
  * git-debpush(1): New "Mistakes" section.
  * git-debpush: Additional design notes.
  * i18n: Import de, fr, pt translations for git-deborig(1).
    Closes: #1110822.

  Internationalisation [Ian Jackson]:
  * 'make i18n-commit' adds new potfiles and cleans up old pofiles.
  * Rename old po4a/list-documents to po4a/generate-po4a.cfg.
    - Fix for when there are multiple languages (!).
  * New po4a/list-documents script.
  * Test that we have all the potfiles we expect.
  * po/README: Give more translation priority advice.
  * po/README: Other updates.
  * Makefile: Replace the various pod2man targets with pattern rules.
  * Fix titles of translated manpages.

  Test suite:
  * t2u-debpush-gbp: Make an edit to debian/, not the upstream.
    [Ian Jackson]
  * t2u-debpush-gbp: Test git-debpush's 'upstream-nonidentical' check.
    [Ian Jackson]
  * Use in-tree git-deborig.
  * Disable missing-breaks Salsa CI job.

  Miscellaneous/internal:
  * Give the git-debpush package a private /usr/share/dgit/gdp/perl5.
    - Move git-debpush's copy of git-playtree-setup there.
  * New Debian::Dgit::Core module installed into all binary packages.
  * git-debpush: Rework some code sectioning.
  * Don't show the version of Perl in manpage footers.  [Ian Jackson]
  * Some copyright notice updates.
  * Adjustments for trunk branch name change.  [Ian Jackson]

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Aug 2025 10:05:44 +0100

=== debian/control ===
Source: dgit
Section: devel
Priority: optional
Maintainer: Debian tag2upload Delegates <dgit-owner@debian.org>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Sean Whitton <spwhitton@spwhitton.name>
Standards-Version: 4.4.0.0
Build-Depends: debhelper-compat (= 12), gettext, po4a, tcl
Vcs-Git: https://salsa.debian.org/dgit-team/dgit.git
Vcs-Browser: https://salsa.debian.org/dgit-team/dgit

Package: dgit
Depends: perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
         ${misc:Depends}, git-buildpackage, liblist-moreutils-perl,
         liblocale-gettext-perl,
         coreutils (>= 8.23-1~),
         libdigest-sha-perl, dput, curl, apt,
         libjson-perl, ca-certificates,
         libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl,
         libtext-csv-perl, python3
Recommends: ssh-client, distro-info-data, liburi-perl
Suggests: sbuild | pbuilder | cowbuilder
Architecture: all
Description: git interoperability with the Debian archive
 dgit (with the associated infrastructure) makes it possible to
 treat the Debian archive as a git repository.
 .
 dgit push constructs uploads from git commits
 .
 dgit clone and dgit fetch construct git commits from uploads.

Package: git-debrebase
Depends: perl, git-core, libdpkg-perl, libfile-fnmatch-perl, devscripts,
         liblocale-gettext-perl,
         ${misc:Depends}
Recommends: dgit, git-buildpackage
Architecture: all
Description: rebasing git workflow tool for Debian packaging
 git-debrebase is a tool for representing in git, and manipulating,
 Debian packages based on upstream source code.
 .
 git-debrebase is an alternative to workflows including git-dpm,
 gbp pq, and direct use of quilt patches.

Package: git-debpush
Depends: git, gnupg, ${misc:Depends},
# git-deborig:
	 libgit-wrapper-perl, libdpkg-perl,
	 liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl,
Replaces: devscripts (<< 2.25.18)
# No "Breaks: devscripts (<< 2.25.18)" because:
# - devscripts doesn't hard-depend on git-deborig
# - it would break installability of this .deb on anything older than
#   forky, and we try to support installability on older Debian stable
#   releases as much as possible.
# Also cf. <https://bugs.debian.org/592610#64>.
Architecture: all
Description: client script for git pushing to Debian-style archives
 git-debpush is a script to create and push a specially formatted
 signed git tag.  The metadata in the tag indicates that the tagged
 commit should be pushed (or "uploaded") to a Debian-style archive.
 .
 Tags generated by this script can be read by an intermediary service,
 which performs any conversion that's needed (such as producing and
 signing a .dsc and .changes), and then uploads the result to the
 Debian-style archive on your behalf.
 .
 This package also ships git-deborig, a program which tries to produce
 Debian orig.tar using git-archive(1).  (This program used to be in the
 'devscripts' package.)

Package: dgit-infrastructure
Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
         libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
         libdpkg-perl,
         liburi-perl, libmime-tools-perl,
         liblocale-gettext-perl
Recommends: dgit (>= 11.7~)
Architecture: all
Description: dgit server backend infrastructure
 This package contains tools which are useful for setting up a dgit
 git depository.  You probably want dgit, the client package, instead
 of dgit-infrastructure.

=== debian/rules ===
#!/usr/bin/make -f

# dgit
# Integration between git and Debian-style archives
#
# Copyright (C)2013-2019 Ian Jackson
# Copyright (C)2019      Sean Whitton
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

export prefix=/usr

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol
	set -e; \
	 cd debian/dgit; \
	 v=$$(perl -ne 'print if s/^version:\s+//i' DEBIAN/control); \
	 perl -i -pe "s/UNRELEASED/$$v/g if m/###substituted###/" usr/bin/dgit

override_dh_auto_clean:
	dh_auto_clean
	make -C po clean

globalperl=/usr/share/perl5

override_dh_auto_install: specpkg_install_gdp \
 specpkg_install_gdr \
 specpkg_install_infra
	make install prefix=/usr DESTDIR=debian/dgit
	make -C po install prefix=/usr DESTDIR=../debian/tmp \
		SUPPRESS_PO_UPDATE=1 S=''
	mv debian/dgit/usr/bin/git-playtree-setup debian/dgit/usr/share/dgit
	make -C po4a install DESTDIR=../debian/tmp S=''

override_dh_installsystemduser:
	dh_installsystemduser --name=tag2upload-oracled --no-enable

override_dh_missing:
	dh_missing --fail-missing

specpkg_install_gdp: p=git-debpush

specpkg_install_gdr: p=git-debrebase
specpkg_install_gdr: pm=GDR

specpkg_install_infra: p=dgit-infrastructure
specpkg_install_infra: pm=Infra

define specpkg_install_common
	make install-$(tok) prefix=/usr DESTDIR=debian/$(p) perldir=$(specperl)
#	# Most of the Perl modules in this package live in
#	# $(specperl).  The exception is Debian::Dgit::Infra, which
#	# lives in $(globalperl) and adds $(specperl) to @INC.
#	# We also abuse this for git-playtree-setup.  In .debs, this
#	# goes in the per-.deb @INC dir.  See Dgit.pm::playtree_setup.
	set -ex; \
	 base=debian/$(p); \
	 mod=Debian/Dgit/$(pm).pm; \
	 src=$${base}$(specperl)/$${mod}; \
	 dst=$${base}$(globalperl)/$${mod}; \
	 mkdir -p $${dst%/*}; \
	 mv -f $$src $$dst; \
	 install -m 755 git-playtree-setup $${base}$(specperl); \
	 perl -i -p -e 'next unless m/###substituted###/;' \
		-e 'next unless s/^# (?=unshift \@INC,)//;' \
		-e 'die unless s{q\{\S+\}}{q{$(specperl)}};' \
		 $$dst
endef

specpkg_install_%: tok=$*
specpkg_install_%: specperl=/usr/share/dgit/$(tok)/perl5
specpkg_install_%:
	$(specpkg_install_common)

specpkg_install_gdp: tok=gdp
specpkg_install_gdp: pm=GDP
specpkg_install_gdp: specperl=/usr/share/dgit/gdp/perl5
specpkg_install_gdp:
	$(specpkg_install_common)
	set -x; perl -i -pe 'next unless m/###substituted###/;' \
 -e 's{^(git_playtree_setup)=.*}{$$1=$(specperl)/git-playtree-setup};' \
		debian/$(p)/usr/bin/*

debian/tests/control: tests/enumerate-tests debian/tests/control.in
	$< gencontrol >$@.new && mv -f $@.new $@

debian/tests/control: tests/lib-core tests/lib-restricts
debian/tests/control: tests/tests $(wildcard tests/tests/*[^~#])

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: baredebian-multitar baredebian-plusgit baredebian-push baredebian-tarball
 Tests-Directory: tests/tests
-Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, quilt, git-debrebase, git-buildpackage, libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl
+Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, quilt, git-debpush, git-debrebase, git-buildpackage
 
 Tests: build-modes-gbp
 Tests-Directory: tests/tests
@@ -51,3 +51,7 @@
 
 Tests: i18n-messages
 Tests-Directory: tests/tests
+Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, locales-all
+
+Tests: import-linkorigs
+Tests-Directory: tests/tests

## dgit 13.13~bpo13+1

=== debian/changelog ===
dgit (13.13~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Fix version number bpo12 -> bpo13.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Aug 2025 10:44:51 +0100

dgit (13.13~bpo12+1) trixie-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Aug 2025 09:51:41 +0100

dgit (13.13) unstable; urgency=medium

  tag2upload:
  * git-debpush: Don't become confused and warn about nonexistent pristine-tar
    metadata.  Closes: #1111504.  [Sean Whitton; report from Birger Schacht]
  * git-debpush: Make submodule check precise.
    Closes: #1111194.  [Report from Simon McVittie]
  * dgit, t2u: --quilt=gbp no longer minds patches editing .gitignore
    Closes: #1111696.  [Report from Simon Josefsson]
  * dgit: Reject --quilt=baredebian+barball in tag2upload builder mode.

  i18n [Américo Monteiro]:
  * dgit-user(7) manpage: Provide Portuguese translation.
  * git-deborig(1): Update Portuguese translation.  Closes: #1111527.

  Documentation:
  * git-debpush(1): Fix link markup.  [Sean Whitton]
  * git-debpush(1): Add references to other tag2upload docs.  [Sean Whitton]
  * dgit(7): Give advice for if upstream source relies on gitattributes.
  * dgit-nmu-simple(7): Document this as the best way to do a git-based NMU.
  * git-debpush(1): Document --quilt=unapplied, not just --quilt=gbp.
  * changelog: 13.12: Add missing Closes for #1108181.  [Sean Whitton]

  dgit bugfix:
  * dgit: baredebian: Fix diff instruction if upstream files discrepant.

  Packaging improvements:
  * git-deborig: Replace several Perl module dependencies
    with inline code and/or use of Dgit::Core.  [Sean Whitton]

  Testing:
  * git-deborig: New tests.  [Sean Whitton]
  * git-debpush: Test that we push the upstream tag.  Re #1111305.
  * CI: Disable some more useless jobs.
  * CI: add t2u-integration-trixie job.

  Other changes:
  * git-deborig: Improve an error message.  [Sean Whitton]
  * Internal tidying and refactoring.  [Sean Whitton and Ian Jackson]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 24 Aug 2025 11:43:28 +0100

## dgit 13.14~bpo13+1

=== debian/changelog ===
dgit (13.14~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 08 Sep 2025 10:07:29 +0100

dgit (13.14) unstable; urgency=medium

  tag2upload service:
  * tag2upload: On source package discrepancies, print a diffstat
    and instructions for a local repro.  Closes: #1111357.

  git-debpush:
  * Check that the repo is accessible via http.  Closes: #1111319.
  * Support --quilt=single.
  * Print the name of the tag we make.  Closes: #1112040.  [Sean Whitton]

  dgit:
  * Improved output on quilt and dsc discrepancy errors:
    show and explain a diffstat, and use the same logic in each case.

  Documentation:
  * More man7 European Portuguese translations.
    Closes: #1112134.  [Américo Monteiro]
  * git-debpush(1): Mention that git-debrebase needs --quilt=linear.
  * git-debpush: Tidy quilt mode information in manpage and usage message.
    [Ian Jackson and Sean Whitton]
  * tag2upload(5): Specify how pristine-tar metadata item will appear.
    [Andrea Pappacoda and Ian Jackson]

  Internal and supporting changes:
  * CI: Fix gitlab-ci-check-sob to work in contributors' forks.
  * tests: t2u-integration: Provide a user_id in json, for new t2usm.
  * using-these: Put absolute directory on PATH; fixes for programs that cd.
  * git-debpush: Code comment fixes.  [Sean Whitton]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 05 Sep 2025 10:16:53 +0100

## dgit 13.15~bpo13+1

=== debian/changelog ===
dgit (13.15~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 18 Sep 2025 13:16:17 +0100

dgit (13.15) unstable; urgency=high

  tag2upload service:
  * (Try to) avoid crashing when printing repro instructions.
    Closes: #1115319.  [Report from Simon Josefsson]

  Documentation:
  * Even more man7 European Portuguese translations.
    Closes: #1112134.  [Américo Monteiro]
  * Fix typos in dgit-maint-gbp(7).  [Teemu Hukkanen]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 15 Sep 2025 21:56:29 +0100

## dgit 13.15

=== Makefile ===
CC = gcc
CFLAGS = -g -O0 -Wall -Wextra
CFLAGS += -std=c99 -D_POSIX_C_SOURCE=200112L
CFLAGS += -Iinclude/

TOOLS = fexc bin2fex fex2bin bootinfo fel pio
TOOLS += nand-part

MISC_TOOLS = phoenix_info

CROSS_COMPILE ?= arm-none-eabi-

.PHONY: all clean

all: $(TOOLS)

misc: $(MISC_TOOLS)

clean:
	@rm -vf $(TOOLS) $(MISC_TOOLS) *.o *.elf *.sunxi *.bin *.nm *.orig


$(TOOLS): Makefile common.h

fex2bin bin2fex: fexc
	ln -s $< $@

fexc: fexc.h script.h script.c \
	script_uboot.h script_uboot.c \
	script_bin.h script_bin.c \
	script_fex.h script_fex.c

LIBUSB = libusb-1.0
LIBUSB_CFLAGS = `pkg-config --cflags $(LIBUSB)`
LIBUSB_LIBS = `pkg-config --libs $(LIBUSB)`

fel: fel.c
	$(CC) $(CFLAGS) $(LIBUSB_CFLAGS) $(LDFLAGS) -o $@ $(filter %.c,$^) $(LIBS) $(LIBUSB_LIBS)

nand-part: nand-part-main.c nand-part.c nand-part-a10.h nand-part-a20.h
	$(CC) $(CFLAGS) -c -o nand-part-main.o nand-part-main.c
	$(CC) $(CFLAGS) -c -o nand-part-a10.o nand-part.c -D A10
	$(CC) $(CFLAGS) -c -o nand-part-a20.o nand-part.c -D A20
	$(CC) $(LDFLAGS) -o $@ nand-part-main.o nand-part-a10.o nand-part-a20.o $(LIBS)

%: %.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(filter %.c,$^) $(LIBS)

fel-pio.bin: fel-pio.elf fel-pio.nm
	$(CROSS_COMPILE)objcopy -O binary fel-pio.elf fel-pio.bin

fel-pio.elf: fel-pio.c fel-pio.lds
	$(CROSS_COMPILE)gcc  -g  -Os -fpic  -fno-common -fno-builtin -ffreestanding -nostdinc -mno-thumb-interwork -Wall -Wstrict-prototypes -fno-stack-protector -Wno-format-nonliteral -Wno-format-security -fno-toplevel-reorder  fel-pio.c -nostdlib -o fel-pio.elf -T fel-pio.lds

fel-pio.nm: fel-pio.elf
	$(CROSS_COMPILE)nm fel-pio.elf | grep -v " _" >fel-pio.nm

jtag-loop.elf: jtag-loop.c jtag-loop.lds
	$(CROSS_COMPILE)gcc  -g  -Os  -fpic -fno-common -fno-builtin -ffreestanding -nostdinc -mno-thumb-interwork -Wall -Wstrict-prototypes -fno-stack-protector -Wno-format-nonliteral -Wno-format-security -fno-toplevel-reorder  jtag-loop.c -nostdlib -o jtag-loop.elf -T jtag-loop.lds -Wl,-N

jtag-loop.bin: jtag-loop.elf
	$(CROSS_COMPILE)objcopy -O binary jtag-loop.elf jtag-loop.bin

jtag-loop.sunxi: jtag-loop.bin
	mksunxiboot jtag-loop.bin jtag-loop.sunxi

fel-sdboot.elf: fel-sdboot.c fel-sdboot.lds
	$(CROSS_COMPILE)gcc  -g  -Os  -fpic -fno-common -fno-builtin -ffreestanding -nostdinc -mno-thumb-interwork -Wall -Wstrict-prototypes -fno-stack-protector -Wno-format-nonliteral -Wno-format-security -fno-toplevel-reorder  fel-sdboot.c -nostdlib -o fel-sdboot.elf -T fel-sdboot.lds -Wl,-N

fel-sdboot.bin: fel-sdboot.elf
	$(CROSS_COMPILE)objcopy -O binary fel-sdboot.elf fel-sdboot.bin

fel-sdboot.sunxi: fel-sdboot.bin
	mksunxiboot fel-sdboot.bin fel-sdboot.sunxi

boot_head_sun3i.elf: boot_head_sun3i.S boot_head_sun3i.lds
	$(CROSS_COMPILE)gcc  -g  -Os  -fpic -fno-common -fno-builtin -ffreestanding -nostdinc -mno-thumb-interwork -Wall -Wstrict-prototypes -fno-stack-protector -Wno-format-nonliteral -Wno-format-security -fno-toplevel-reorder  boot_head.S -nostdlib -o boot_head_sun3i.elf -T boot_head.lds -Wl,-N -DMACHID=0x1094

boot_head_sun3i.bin: boot_head_sun3i.elf
	$(CROSS_COMPILE)objcopy -O binary boot_head_sun3i.elf boot_head_sun3i.bin

boot_head_sun4i.elf: boot_head.S boot_head.lds
	$(CROSS_COMPILE)gcc  -g  -Os  -fpic -fno-common -fno-builtin -ffreestanding -nostdinc -mno-thumb-interwork -Wall -Wstrict-prototypes -fno-stack-protector -Wno-format-nonliteral -Wno-format-security -fno-toplevel-reorder  boot_head.S -nostdlib -o boot_head_sun4i.elf -T boot_head.lds -Wl,-N -DMACHID=0x1008

boot_head_sun4i.bin: boot_head_sun4i.elf
	$(CROSS_COMPILE)objcopy -O binary boot_head_sun4i.elf boot_head_sun4i.bin

boot_head_sun5i.elf: boot_head.S boot_head.lds
	$(CROSS_COMPILE)gcc  -g  -Os  -fpic -fno-common -fno-builtin -ffreestanding -nostdinc -mno-thumb-interwork -Wall -Wstrict-prototypes -fno-stack-protector -Wno-format-nonliteral -Wno-format-security -fno-toplevel-reorder  boot_head.S -nostdlib -o boot_head_sun5i.elf -T boot_head.lds -Wl,-N -DMACHID=0x102A

boot_head_sun5i.bin: boot_head_sun5i.elf
	$(CROSS_COMPILE)objcopy -O binary boot_head_sun5i.elf boot_head_sun5i.bin

bootinfo: bootinfo.c

.gitignore: Makefile
	@for x in $(TOOLS) '*.o' '*.swp'; do \
		echo "$$x"; \
	done > $@

=== changelog ===
sunxi-tools (1.2-2.~~dgittest) unstable; urgency=low

  * Add debian/source/options saying single-debian-patch, for testing.
    (current version in x-vcs-git did have this; see #796016.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 21 Aug 2015 13:53:02 +0100

sunxi-tools (1.2-2) unstable; urgency=medium

  * Create a "sunxi-fel" group and add udev rules to make the FEL mode USB
    device available to members of that group.
  * Include upstream README in the package (Closes: #757642)

 -- Ian Campbell <ijc@hellion.org.uk>  Mon, 25 Aug 2014 21:40:38 +0100

sunxi-tools (1.2-1) unstable; urgency=medium

  * Initial release (Closes: #750104).

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 12 Jul 2014 20:51:56 +0100

=== debian/control ===
--- 
+++ 
@@ -44,10 +44,7 @@
  gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
-Depends: git, gnupg, ${misc:Depends},
-# git-deborig:
-	 libgit-wrapper-perl, libdpkg-perl,
-	 liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl,
+Depends: git, gnupg, libdpkg-perl, ${misc:Depends}
 Replaces: devscripts (<< 2.25.18)
 # No "Breaks: devscripts (<< 2.25.18)" because:
 # - devscripts doesn't hard-depend on git-deborig

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified for pari-extra by Bill Allombert <ballombe@debian.org> 2001
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

# Build architecture-independent files here.
binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dgit 13.16~bpo13+1

=== Makefile ===
# dgit
# Integration between git and Debian-style archives
#
# Copyright (C)2013-2018 Ian Jackson
# Copyright (C)2019,2024 Sean Whitton
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

INSTALL=install
INSTALL_DIR=$(INSTALL) -d
INSTALL_PROGRAM=$(INSTALL) -m 755
INSTALL_DATA=$(INSTALL) -m 644

POD2MAN = pod2man --release="Debian Project" --date="dgit+tag2upload team"

prefix?=/usr/local

bindir=$(prefix)/bin
mandir=$(prefix)/share/man
perldir=$(prefix)/share/perl5
man1dir=$(mandir)/man1
man5dir=$(mandir)/man5
man7dir=$(mandir)/man7
infraexamplesdir=$(prefix)/share/doc/dgit-infrastructure/examples
infradebiandir=$(prefix)/share/dgit-infrastructure/debian
txtdocdir=$(prefix)/share/doc/dgit
absurddir=$(prefix)/share/dgit/absurd

PROGRAMS=dgit git-playtree-setup mini-git-tag-fsck tag2upload-obtain-origs
MAN1PAGES=dgit.1

MAN7PAGES=dgit.7				\
	dgit-user.7 dgit-nmu-simple.7		\
	dgit-maint-native.7			\
	dgit-maint-merge.7 dgit-maint-gbp.7	\
	dgit-maint-debrebase.7                  \
	dgit-downstream-dsc.7			\
	dgit-sponsorship.7			\
	dgit-maint-bpo.7

TXTDOCS=README.dsc-import
PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/Core.pm \
	Debian/Dgit/ExitStatus.pm \
	Debian/Dgit/I18n.pm \
	Debian/Dgit/ProtoConn.pm
ABSURDITIES=git

GDR_PROGRAMS=git-debrebase
GDR_PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/Core.pm \
	Debian/Dgit/GDR.pm \
	Debian/Dgit/ExitStatus.pm \
	Debian/Dgit/I18n.pm
GDR_MAN1PAGES=git-debrebase.1
GDR_MAN5PAGES=git-debrebase.5

GDP_PROGRAMS=git-debpush git-deborig
GDP_PERLMODULES= \
	Debian/Dgit/Core.pm \
	Debian/Dgit/GDP.pm \
	Debian/Dgit/I18n.pm
GDP_MAN1PAGES=git-debpush.1 git-deborig.1
GDP_MAN5PAGES=tag2upload.5

INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch dgit-mirror-ssh-wrap \
	dgit-repos-policy-debian dgit-repos-admin-debian \
	dgit-repos-policy-trusting dgit-mirror-rsync \
	tag2upload-oracled
INFRA_EXAMPLES=get-dm-txt ssh-wrap drs-cron-wrap get-suites
INFRA_DEBIAN=get-dm-txt tag2upload-builder-rebuild \
	tag2upload-oracle-crontab tag2upload-builder-crontab
INFRA_PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/Core.pm \
	Debian/Dgit/Infra.pm \
	Debian/Dgit/Policy/Debian.pm \
	Debian/Dgit/ProtoConn.pm

MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES) \
	$(GDP_MAN1PAGES) $(GDP_MAN5PAGES)

all:	$(MANPAGES) $(addprefix substituted/,$(PROGRAMS))

substituted/%:	%
	mkdir -p substituted
	perl -pe 's{\bundef\b}{'\''$(absurddir)'\''} if m/###substituted###/' \
		<$< >$@

install:	installdirs all
	$(INSTALL_PROGRAM) $(addprefix substituted/,$(PROGRAMS)) \
		$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(addprefix absurd/,$(ABSURDITIES)) \
		$(DESTDIR)$(absurddir)
	$(INSTALL_DATA) $(MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(MAN7PAGES) $(DESTDIR)$(man7dir)
	$(INSTALL_DATA) $(TXTDOCS) $(DESTDIR)$(txtdocdir)
	set -e; for m in $(PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

installdirs:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(DESTDIR)$(man7dir) \
		$(DESTDIR)$(txtdocdir) $(DESTDIR)$(absurddir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(PERLMODULES)))

install-gdp:    installdirs-gdp
	$(INSTALL_PROGRAM) $(GDP_PROGRAMS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(GDP_MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(GDP_MAN5PAGES) $(DESTDIR)$(man5dir)
	set -e; for m in $(GDP_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

install-gdr:	installdirs-gdr
	$(INSTALL_PROGRAM) $(GDR_PROGRAMS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(GDR_MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(GDR_MAN5PAGES) $(DESTDIR)$(man5dir)
	set -e; for m in $(GDR_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

install-infra:	installdirs-infra
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_PROGRAMS)) \
		$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_EXAMPLES)) \
		$(DESTDIR)$(infraexamplesdir)
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_DEBIAN)) \
		$(DESTDIR)$(infradebiandir)
	set -e; for m in $(INFRA_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

installdirs-gdp:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(GDR_PERLMODULES)))

installdirs-gdr:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(GDR_PERLMODULES)))

installdirs-infra:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(infraexamplesdir) $(DESTDIR)$(infradebiandir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(INFRA_PERLMODULES)))

list-manpages:
	@echo $(MANPAGES)

i18n i18n-update:
	$(MAKE) -C po update
	$(MAKE) -C po4a update

# When tests/tests/i18n-po4a-uptodate fails, this target will usually fix it.
i18n-commit:
	set -e; x=$$(git status --porcelain); set -x; test "x$$x" = x
	$(MAKE) i18n-update
	git add po4a/*_[0-9].pot
	git clean -xdff po4a/\*.po
	git commit -a -m 'i18n-commit - autogenerated'

check installcheck:

clean distclean mostlyclean maintainer-clean:
	rm -rf tests/tmp substituted
	set -e; for m in $(MANPAGES); do \
		test -e $$m.pod && rm -f $$m; \
	done

dgit%: dgit%.pod
	m="$(notdir $@)"; $(POD2MAN)				\
		--center=dgit					\
		--name="$${m%.[0-9]}"				\
		--section="$${m##*.}"				\
		$^ $@

%: %.pod
	m="$(notdir $@)"; $(POD2MAN)				\
		--center="$${m%.[0-9]}"				\
		--name="$${m%.[0-9]}"				\
		--section="$${m##*.}"				\
		$^ $@

%.view:	%
	man -l $*

=== debian/changelog ===
dgit (13.16~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 10 Oct 2025 14:07:33 +0100

dgit (13.16) unstable; urgency=medium

  git-debrebase bugfixes [Ian Jackson]:
  * Merge resolution: Fix erroneous use of real git tree as
    if it were a private working area.  Closes: #1116933.
  * Merge resolution: Fix conflation of different temporary directories.
  * Clean out all of the temporary playground area on every invocation.
  * Nail down the date for constructing git commits, to avoid
    stochastic failures (especially during vanilla merge resolution).

  dgit bugfixes [Ian Jackson]:
  * dgit: Print progress when downloading files mentioned in .dscs,
    eg in download-unfetched-origs.  Closes: #1111355.

  Packaging:
  * Switch git-debpush.deb dependencies from gnupg to gpg, gpg-agent.
    Allows use with implementations other than gnupg.
    Closes: #1116659.  [Paride Legovini, Sean Whitton]

  New feature:
  * git-debrebase: Provide git-debrebase examine COMMITISH.  [Ian Jackson]

  Documentation:
  * i18n: More European Portuguese manpages translations.
    Closes: #1114805.  [Américo Monteiro]
  * git-debpush(1): Reword --quilt=linear description,
    to disambiguate it somewhat.
  * dgit(1): Reflect that curl(1) is not in fact used by dgit, nowadays.
    [Ian Jackson]

  Cleanups and supporting changes [Ian Jackson]:
  * dgit: Abolish the obsolete sshpsql archive access method.
  * dgit innards: Deconfuse/disambiguate "archive_query" functions.
  * Other minor tidying in git-debrebase and dgit.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 07 Oct 2025 17:43:34 +0100

=== control ===
Source: sunxi-tools
Section: utils
Priority: optional
Maintainer: Ian Campbell <ijc@hellion.org.uk>
Build-Depends: debhelper (>= 9), pkg-config, libusb-1.0-0-dev, u-boot-tools
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/collab-maint/sunxi-tools.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sunxi-tools.git
Homepage: http://linux-sunxi.org/Sunxi-tools

Package: sunxi-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: u-boot:armhf
Description: tools for working with Allwinner (sunxi) ARM processors
 This package contains various tools for working with devices based around the
 Allwinner sunxi processors (A10/A13/A20/A31 etc). Utilities include tools to:
 .
  - interact with the processors' lowlevel bootrom (AKA FEL mode).
  - boot over the USB OTG port.
  - compile and decompile the Allwinner binary hardware descriptions (FEX
    files).
  - display information about sunxi boot headers.

=== debian/tests/control ===
--- 
+++ 
@@ -40,6 +40,10 @@
 Tests-Directory: tests/tests
 Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage
 
+Tests: git-deborig
+Tests-Directory: tests/tests
+Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debpush
+
 Tests: gitattributes
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, bsdgames, man-db, git-man
@@ -49,9 +53,3 @@
 Depends: gnupg, patch, diffutils
 Restrictions: hint-testsuite-triggers
 
-Tests: i18n-messages
-Tests-Directory: tests/tests
-Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, locales-all
-
-Tests: import-linkorigs
-Tests-Directory: tests/tests

=== watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sunxi-tools-$1\.tar\.gz/ \
  https://github.com/linux-sunxi/sunxi-tools/tags .*/v?(\d\S*)\.tar\.gz
